org.apache.commons.imaging.formats.tiff

## Class TiffImageMetadata.Directory

- java.lang.Object
- - org.apache.commons.imaging.common.GenericImageMetadata
  - - org.apache.commons.imaging.formats.tiff.TiffImageMetadata.Directory

- All Implemented Interfaces:
    ImageMetadata, ImageMetadata.ImageMetadataItem
  Enclosing class:
    TiffImageMetadata

      public static class TiffImageMetadata.Directory
      extends GenericImageMetadata
      implements ImageMetadata.ImageMetadataItem

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.commons.imaging.common.GenericImageMetadata

      `GenericImageMetadata.GenericImageMetadataItem`

    - ### Nested classes/interfaces inherited from interface org.apache.commons.imaging.common.ImageMetadata

      `ImageMetadata.ImageMetadataItem`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `int` | `type`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Directory(ByteOrder byteOrder, TiffDirectory directory)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `add(TiffField entry)`
    `TiffField` | `findField(TagInfo tagInfo)`
    `List<TiffField>` | `getAllFields()`
    `JpegImageData` | `getJpegImageData()`
    `TiffOutputDirectory` | `getOutputDirectory(ByteOrder byteOrder)`
    `BufferedImage` | `getThumbnail()`
    `TiffImageData` | `getTiffImageData()`
    `String` | `toString(String prefix)`

    - ### Methods inherited from class org.apache.commons.imaging.common.GenericImageMetadata

      `add, add, getItems, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.commons.imaging.common.ImageMetadata.ImageMetadataItem

      `toString`

- - ### Field Detail

    - #### type

          public final int type

  - ### Constructor Detail

    - #### Directory

          public Directory(ByteOrder byteOrder,
                           TiffDirectory directory)

  - ### Method Detail

    - #### add

          public void add(TiffField entry)

    - #### getThumbnail

          public BufferedImage getThumbnail()
                                     throws ImageReadException,
                                            IOException

      Throws:
        `ImageReadException`
        `IOException`

    - #### getTiffImageData

          public TiffImageData getTiffImageData()

    - #### findField

          public TiffField findField(TagInfo tagInfo)
                              throws ImageReadException

      Throws:
        `ImageReadException`

    - #### getAllFields

          public List<TiffField> getAllFields()

    - #### getJpegImageData

          public JpegImageData getJpegImageData()

    - #### toString

          public String toString(String prefix)

      Specified by:
        `toString` in interface `ImageMetadata`
      Specified by:
        `toString` in interface `ImageMetadata.ImageMetadataItem`
      Overrides:
        `toString` in class `GenericImageMetadata`

    - #### getOutputDirectory

          public TiffOutputDirectory getOutputDirectory(ByteOrder byteOrder)
                                                 throws ImageWriteException

      Throws:
        `ImageWriteException`

Copyright © 2007–2020 The Apache Software Foundation. All rights reserved.